#
# spec file for package python-distilclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-distilclient
Version:        0.4.0
Release:        5.1
Summary:        Python API and CLI for OpenStack Distil
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  openstack-tempest
BuildRequires:  python-ddt
BuildRequires:  python-fixtures
BuildRequires:  python-keyring
BuildRequires:  python-keystoneclient
BuildRequires:  python-mock
BuildRequires:  python-os-client-config
BuildRequires:  python-pbr
BuildRequires:  python-requests-mock
BuildRequires:  python-setuptools
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-keystoneclient
Requires:       python-pbr
Requires:       python-six
Requires:       python-stevedore
BuildArch:      noarch

%description
Client library for Distil built on the Distil API. It provides a Python API
(the distilclient module) and a command-line tool (distil).

%prep
%autosetup -n %{name}-%{version}
%py_req_cleanup

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py testr

%files
%doc README.rst
%{python2_sitelib}/distilclient
%{python2_sitelib}/*.egg-info

%changelog
